ros-kinetic-eusurdf (0.4.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Sep 2018 00:00:00 -0000

ros-kinetic-eusurdf (0.4.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Aug 2018 00:00:00 -0000

ros-kinetic-eusurdf (0.4.0-0xenial) xenial; urgency=high

  * [eusurdf] add cmake target for generating Semantic map from eusmodel (#194 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/194>)
    * [eusurdf] add cmake target for generating ontology if generator exists
    * [eusurdf][package.xml] add python-lxml as run_depend
  * Fix for arm processor (#209 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/209>)
    * use LinuxARM ARCHDIR for CMKAE_SYSTEM_PROCESSOR armv/aarch64
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Jul 2018 00:00:00 -0000

ros-kinetic-eusurdf (0.3.5-0xenial) xenial; urgency=high

  * add gazebo_ros to build_depend
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.4-0xenial) xenial; urgency=high

  * add python-lxml
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.1-0xenial) xenial; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * eusurdf/euslisp/eusmodel_to_urdf.l: if collada_urdf_jsk_patch does not exists, use collada_urdf
    * CMakeLists.txt, cmake/eusurdf.cmake : use collada_urdf if collada_urdf_jsk_patch is not found
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Feb 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.3.0-0xenial) xenial; urgency=high

  * [eusurdf] fix: use :if-exists :new-version instead of :overwrite  (#196 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/196>)
  * use package://eusurdf instead of model:// (#195 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/195>)
    * [eusurdf] fix: try catch
    * [eusurdf] use 1 launch file to spawn; add option to publish tf for model
    * [eusurdf][convert-eus-to-urdf.l] fix: add / for directory path
    * [eusurdf][textured_models] use package://eusurdf instead of model:// for xacro
    * [eusurdf][urdf_to_xacro.py] convert model:// -> package://eusurdf
  * [eusurdf] generate urdf.xacro for model / scene (#193 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/193>)
    * [eusurdf][package.xml] add python-lxml as run_depend
    * [eusurdf][README.md] append usage about spawning urdf
    * [eusurdf][textured_models] add urdf.xacro for textured_models
    * [eusurdf] generate urdf.xacro from eusmodel / eusscene to make unified urdf
  * parallelize model generation (#188 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/188>)
    * [eusurdf][convert-eus-to-urdf.l] remove tmp-dir-no-duplication
    * [eusurdf][eusscene_to_world.l] raise error when model name is undefined
    * [eusurdf][convert-eus-to-urdf.l] fix: forgot to update
    * [eusurdf][convert-eus-to-urdf-test.l] update test
    * [eusurdf][convert-eus-to-urdf.l] create directory for world file if not created
    * [eusurdf][convert-eus-to-urdf.l] make argument world-file-path necessary; remove random-seed
    * [eusurdf] get collada_to_urdf bin path from cmake
    * [eusurdf] avoid intermediate files permission issue
    * [eusurdf][convert-eus-to-urdf.l] keep back compatibility
    * [eusurdf] cleanup old stuff
    * [eusurdf][textured_models] drop suffix for models
    * [eusurdf] parallelize model generation
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Jan 2017 00:00:00 -0000

ros-kinetic-eusurdf (0.2.5-0xenial) xenial; urgency=high

  * [eusurdf] add test of model conversion (#181 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/181>)
    * [eusurdf/CMakeLists.txt,package.xml] test model conversion in eusurdf package.
    * [eusurdf/test] add test directory in eusurdf. add script and launch to test model conversion.
    * [eusurdf/package.xml] add maintainer of eusurdf package.
    * [eusurdf/euslisp/convert-eus-to-urdf.l] add documentation of euslisp function to convert irteus->urdf.
  * [eusurdf/euslisp/convert-eus-to-urdf.l] get name from converted eus model if the argument name is not passed. (#169 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/169>)
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Oct 2016 00:00:00 -0000

ros-kinetic-eusurdf (0.2.4-0xenial) xenial; urgency=high

  * Ignore world files
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 30 Apr 2016 00:00:00 -0000

ros-kinetic-eusurdf (0.2.3-0xenial) xenial; urgency=high

  * [eusurdf/textured_models] add iemon/hamburger/wanda to texture_models
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 31 Dec 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.2.2-0xenial) xenial; urgency=high

  * [textured_models/room73b2-hitachi-fiesta-refrigerator-0] transparent inside board of fridge
  * [textured_models/room73b2-georgia-emerald-mountain-0] add texture of georgia can
  * [textured_models/room73b2-hitachi-fiesta-refrigerator-0/model.urdf] update to more realistic physics parameters
  * [textured_models] add georgia can
  * [CMakeLists.txt] install eusurdf/worlds directory
  * [CMakeLists.txt] add roseus to run_depend. use environment variable to get eusdir. call roseus without rosrun.
  * [eusurdf] add textured_models/
  * Contributors: Yuki Furuta, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Dec 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.2.1-0xenial) xenial; urgency=high

  * package.xml; we nee do rosrun to generate models
  * generate eus model and convert it to urdf from voxel grid
  * use the resolved path of ros package to find eusurdf directory when path is nil. You can pass eusurdf path as argument to run in catkin build.
  * add generate-model-from-voxel.l to generate eus cube list from voxel.
  * Contributors: Kei Okada, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 27 Nov 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.2.0-0xenial) xenial; urgency=high

  * move to 0.2.0, which only available from indigo
  * add instruction of converting eus->urdf
  * modify sample usage comment of irteus2urdf-for-gazebo.
  * use the resolved path of ros package to find eusurdf directory when path is nil. You can pass eusurdf path as argument to run in catkin build.
  * add .gitignore to keep model directory
  * generate model directory if not found.
  * delete manifest.xml for gazebo model directory.
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.13-0xenial) xenial; urgency=high

  * [eusurdf/package.xml] export gazebo_model_path for gazebo_ros
  * 
    
      * [eusurdf] remove rosbuild related scripts
    revert travis
  * generate random tmp directory to avoid overwrite
  * fix to use no rospack find nor rosrun for eusurdf
  * convert models when catkin build
  * add files to convert irtmodel to urdf
  * delete converted urdf models in models directory.
  * Contributors: Yuki Furuta, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Sep 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.12-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 May 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.11-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Apr 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.10-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Apr 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.9-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Apr 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 00:00:00 -0000

ros-kinetic-eusurdf (0.1.7-0xenial) xenial; urgency=high

  * Move scripts to euscollada to avoid catkinization of eusurdf
  * Use link name, not joint name as parent link, but the solution is adhock
  * add addLink function to add_sensor_to_urdf.py
  * Add script to add end effector frames to urdf from yaml file for euslisp
  * Add script to add sensor (fixed link) to urdf
  * added moveit scene files
  * add urdf models to eusurdf/models.
  * Contributors: Ryohei Ueda, Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 19 Dec 2014 00:00:00 -0000

ros-kinetic-eusurdf (0.1.6-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 30 Jun 2014 00:00:00 -0000

ros-kinetic-eusurdf (0.1.5-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Jun 2014 00:00:00 -0000

ros-kinetic-eusurdf (0.1.4-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 15 Jun 2014 00:00:00 -0000

ros-kinetic-eusurdf (0.1.3-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 May 2014 17:24:00 -0000

ros-kinetic-eusurdf (0.1.2-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 May 2014 09:31:00 -0000

ros-kinetic-eusurdf (0.1.1-0xenial) xenial; urgency=high

  * set eusurdf and euslisp_model_conversion_tester to ROS_NOBUILD
  * #2 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/2>: make model directory before running xacro when building eusurdf
  * fix hoge.stl->model.stl to pass hoge/fuga check
  * update dirctory for xml2sxml
  * use face-to-triangle-aux for triangulate faces
  * update for using simple conversion
  * fix for using package:// at inside jsk
  * fix for using package:// at inside jsk
  * fix, if link has no mesh
  * fix checking which link has glvertices
  * remove jsk internal dependancy
  * add code for parsing inertial parameter
  * debug for using fixed joint
  * update for parsing sdf
  * fix error message
  * add heightmap tag to geometry/visual
  * update for using :translate-vertices in eusurdf.l
  * update for parsing cylinder and plane geometry
  * update for using multi visual/geometry tags in link
  * fix for parsing sdf file
  * add eusurdf (copy from jsk-ros-pkg-unreleased)
  * Contributors: Kei Okada, Ryohei Ueda, nozawa, youhei

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 May 2014 01:25:00 -0000


